#ifndef LP_ASSERT_H
#define LP_ASSERT_H

#include <stdio.h>
#include <stdlib.h>
#include "lp_types.h"

#define LP_ASSERT(EXPRESSION) \
  (void)((EXPRESSION) || (printf("Assertion failed: %s, %s:%d\n", #EXPRESSION, __FILE__, __LINE__), FALSE) || (exit(1), TRUE))

#endif
